Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.similarities
Class NormalizationH2

    java.lang.Object
      org.apache.lucene.search.similarities.Normalization
          org.apache.lucene.search.similarities.NormalizationH2

    public class NormalizationH2

extends Normalization

Normalization model in which the term frequency is inversely related to the length.

While this model is parameterless in the original article, the thesis introduces the parameterized variant. The default value for the `c` parameter is `1`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Normalization
`Normalization.NoNormalization`

Constructor Summary
`NormalizationH2()` Calls `NormalizationH2(1)`
`NormalizationH2(float c)` Creates NormalizationH2 with the supplied parameter `c`.

Method Summary
`float` | `getC()` Returns the `c` parameter.
`float` | `tfn(BasicStats stats, float tf, float len)` Returns the normalized term frequency.
`String` | `toString()` Subclasses must override this method to return the code of the normalization formula.

Methods inherited from class org.apache.lucene.search.similarities.Normalization
`explain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NormalizationH2

    public NormalizationH2(float c)

  Creates NormalizationH2 with the supplied parameter `c`.

  Parameters:
    `c` - hyper-parameter that controls the term frequency normalization with respect to the document length.

### NormalizationH2

    public NormalizationH2()

  Calls `NormalizationH2(1)`

Method Detail

### tfn

    public final float tfn(BasicStats stats,
                           float tf,
                           float len)

  Description copied from class: `Normalization`
  Returns the normalized term frequency.

  Specified by:
    `tfn` in class `Normalization`
    `len` - the field length.

### toString

    public String toString()

  Description copied from class: `Normalization`
  Subclasses must override this method to return the code of the normalization formula. Refer to the original paper for the list.

  Specified by:
    `toString` in class `Normalization`

### getC

    public float getC()

  Returns the `c` parameter.

  See Also:
    `NormalizationH2(float)`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.